Submit Quest Result
curl --request POST \
--url https://api.doshi.app/client/quests/submit \
--header 'Access-Type: <access-type>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"questId": "<string>",
"partnerUserId": "<string>",
"statusMessage": "<string>",
"metadata": {}
}
'import requests
url = "https://api.doshi.app/client/quests/submit"
payload = {
"questId": "<string>",
"partnerUserId": "<string>",
"statusMessage": "<string>",
"metadata": {}
}
headers = {
"Access-Type": "<access-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Access-Type': '<access-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
questId: '<string>',
partnerUserId: '<string>',
statusMessage: '<string>',
metadata: {}
})
};
fetch('https://api.doshi.app/client/quests/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"attemptId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Quests
Submit Quest Result
Submits a quest result for a user by a partner.
POST
/
client
/
quests
/
submit
Submit Quest Result
Authorizations
Authentication token (API Key) provided by Doshi. Your server's IP address must be whitelisted to use this API. Contact hello@doshi.app to whitelist your IPs.
Headers
Must be set to 'client' for all API requests
Available options:
client Body
application/json
Was this page helpful?
⌘I
